BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to X-Series devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE:

## Public Attributes
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | USBVersionEnable = true
| Determines if the USB version number is enabled More...
UInt16 | USBVersion = 0x0200
| The USB version number: 0x0200 (USB 2.0) More...
byte | ACSlowSlew
| Determines if AC pins have a slow slew rate More...
byte | ACSchmittInput
| Determines if the AC pins have a Schmitt input More...
byte | ACDriveCurrent
| Determines the AC pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
byte | ADSlowSlew
| Determines if AD pins have a slow slew rate More...
byte | ADSchmittInput
| Determines if AD pins have a schmitt input More...
byte | ADDriveCurrent
| Determines the AD pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
byte | Cbus0
| Sets the function of the CBUS0 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus1
| Sets the function of the CBUS1 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus2
| Sets the function of the CBUS2 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus3
| Sets the function of the CBUS3 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus4
| Sets the function of the CBUS4 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus5
| Sets the function of the CBUS5 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | Cbus6
| Sets the function of the CBUS6 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE More...
byte | InvertTXD
| Inverts the sense of the TXD line More...
byte | InvertRXD
| Inverts the sense of the RXD line More...
byte | InvertRTS
| Inverts the sense of the RTS line More...
byte | InvertCTS
| Inverts the sense of the CTS line More...
byte | InvertDTR
| Inverts the sense of the DTR line More...
byte | InvertDSR
| Inverts the sense of the DSR line More...
byte | InvertDCD
| Inverts the sense of the DCD line More...
byte | InvertRI
| Inverts the sense of the RI line More...
byte | BCDEnable
| Determines whether the Battery Charge Detection option is enabled. More...
byte | BCDForceCbusPWREN
| Asserts the power enable signal on CBUS when charging port detected. More...
byte | BCDDisableSleep
| Forces the device never to go into sleep mode. More...
ushort | I2CSlaveAddress
| I2C slave device address. More...
UInt32 | I2CDeviceId
| I2C device ID More...
byte | I2CDisableSchmitt
| Disable I2C Schmitt trigger. More...
byte | FT1248Cpol
| FT1248 clock polarity - clock idle high (1) or clock idle low (0) More...
byte | FT1248Lsb
| FT1248 data is LSB (1) or MSB (0) More...
byte | FT1248FlowControl
| FT1248 flow control enable. More...
byte | RS485EchoSuppress
| Enable RS485 Echo Suppression More...
byte | PowerSaveEnable
| Enable Power Save mode. More...
byte | IsVCP
| Determines whether the VCP driver is loaded. More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to X-Series devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ ACDriveCurrent

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ACDriveCurrent

Determines the AC pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ ACSchmittInput

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ACSchmittInput

Determines if the AC pins have a Schmitt input

## ◆ ACSlowSlew

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ACSlowSlew

Determines if AC pins have a slow slew rate

## ◆ ADDriveCurrent

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ADDriveCurrent

Determines the AD pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ ADSchmittInput

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ADSchmittInput

Determines if AD pins have a schmitt input

## ◆ ADSlowSlew

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.ADSlowSlew

Determines if AD pins have a slow slew rate

## ◆ BCDDisableSleep

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.BCDDisableSleep

Forces the device never to go into sleep mode.

## ◆ BCDEnable

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.BCDEnable

Determines whether the Battery Charge Detection option is enabled.

## ◆ BCDForceCbusPWREN

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.BCDForceCbusPWREN

Asserts the power enable signal on CBUS when charging port detected.

## ◆ Cbus0

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus0

Sets the function of the CBUS0 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus1

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus1

Sets the function of the CBUS1 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus2

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus2

Sets the function of the CBUS2 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus3

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus3

Sets the function of the CBUS3 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_GPIO, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus4

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus4

Sets the function of the CBUS4 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus5

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus5

Sets the function of the CBUS5 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ Cbus6

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.Cbus6

Sets the function of the CBUS6 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK24, FT_CBUS_CLK12, FT_CBUS_CLK6, FT_CBUS_BCD_CHARGER, FT_CBUS_BCD_CHARGER_N, FT_CBUS_VBUS_SENSE, FT_CBUS_BITBANG_WR, FT_CBUS_BITBANG_RD, FT_CBUS_TIME_STAMP, FT_CBUS_KEEP_AWAKE

## ◆ FT1248Cpol

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.FT1248Cpol

FT1248 clock polarity - clock idle high (1) or clock idle low (0)

## ◆ FT1248FlowControl

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.FT1248FlowControl

FT1248 flow control enable.

## ◆ FT1248Lsb

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.FT1248Lsb

FT1248 data is LSB (1) or MSB (0)

## ◆ I2CDeviceId

UInt32 FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.I2CDeviceId

I2C device ID

## ◆ I2CDisableSchmitt

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.I2CDisableSchmitt

Disable I2C Schmitt trigger.

## ◆ I2CSlaveAddress

ushort FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.I2CSlaveAddress

I2C slave device address.

## ◆ InvertCTS

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertCTS

Inverts the sense of the CTS line

## ◆ InvertDCD

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertDCD

Inverts the sense of the DCD line

## ◆ InvertDSR

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertDSR

Inverts the sense of the DSR line

## ◆ InvertDTR

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertDTR

Inverts the sense of the DTR line

## ◆ InvertRI

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertRI

Inverts the sense of the RI line

## ◆ InvertRTS

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertRTS

Inverts the sense of the RTS line

## ◆ InvertRXD

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertRXD

Inverts the sense of the RXD line

## ◆ InvertTXD

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.InvertTXD

Inverts the sense of the TXD line

## ◆ IsVCP

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.IsVCP

Determines whether the VCP driver is loaded.

## ◆ PowerSaveEnable

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.PowerSaveEnable

Enable Power Save mode.

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ RS485EchoSuppress

byte FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.RS485EchoSuppress

Enable RS485 Echo Suppression

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

## ◆ USBVersion

UInt16 FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.USBVersion = 0x0200

The USB version number: 0x0200 (USB 2.0)

## ◆ USBVersionEnable

bool FTD2XX_NET.FTDI.FT_XSERIES_EEPROM_STRUCTURE.USBVersionEnable = true

Determines if the USB version number is enabled

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs